Subject: bug#4202: 23.0.60; CVS emacs fails to build with D-Bus support (newer version needed)

From: Michael Albinus <[email-masked]>
Date: Fri, 21 Aug 2009 08:50:18 +0200

Tim Van Holder <[email-masked]> writes:

> Current CVS emacs fails to build on my (admittedly outdated) Debian
> system:

Are you sure, that 23.0.60 is a "current CVS emacs"?

> dbusbind.o: In function `xd_remove_watch':
> /home/tim/gnu/src/emacs/src/dbusbind.c:766: undefined reference to `dbus_watch_get_unix_fd'
> /home/tim/gnu/src/emacs/src/dbusbind.c:768: undefined reference to `dbus_watch_get_socket'
> dbusbind.o: In function `xd_add_watch':
> /home/tim/gnu/src/emacs/src/dbusbind.c:741: undefined reference to `dbus_watch_get_unix_fd'
> /home/tim/gnu/src/emacs/src/dbusbind.c:743: undefined reference to `dbus_watch_get_socket'
>
> My guess is those are from a newer version of D-Bus; configure finds
> version 1.x on my system:
>
> checking for pkg-config... (cached) /usr/bin/pkg-config
> checking for dbus-1 >= 1.0... yes
> checking DBUS_CFLAGS... -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include
> checking DBUS_LIBS... -ldbus-1
> checking for pkg-config... (cached) /usr/bin/pkg-config
>
> So either those functions should only be used if a newer d-bus is found,
> or, if they're needed, configure should look for the minimum version
> required (and either error out or just disable dbus support).

Both functions have been added in D-Bus 1.1.1. I've committed a fix,
which checks the availability of these functions.

Best regards, Michael.